<?php
/**
* Custom Sanitizer Function 
*/

function the_angle_sanitize_radio_yes_no($input){
        $option = array(
                'yes'   =>  esc_html__('Yes','the-angle'),
                'no'    =>  esc_html__('No','the-angle')
            );     
        if(array_key_exists($input, $option)){
            return $input;
        }
        else
            return '';
    }
function the_angle_sanitize_category_select($input){
    $the_angle_category_lists = the_angle_category_lists();
    if(array_key_exists($input,$the_angle_category_lists)){
        return $input;
    }else{
        return '';
    }
}
function the_angle_webpagelayout($input) {
    $valid_keys = array(
        'fullwidth' => esc_html__('Full Width', 'the-angle'),
        'boxed' => esc_html__('Boxed', 'the-angle')
    );
    if ( array_key_exists( $input, $valid_keys ) ) {
        return $input;
    } else {
        return '';
    }
}  
//logo alignment
function the_angle_alignment_logo($input) {
      $valid_keys = array(
        'left'=>esc_html__('Left', 'the-angle'),
        'center'=>esc_html__('Center', 'the-angle'),
      );
      if ( array_key_exists( $input, $valid_keys ) ) {
         return $input;
      } else {
         return '';
      }
   } 

     


 
